﻿using System;
using System.Drawing;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BC.AspNetBarcodeGeneratorTrial.Code39;

namespace BCAspNetBarcodeGeneratorDemo
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
                         
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            Code39 barcode = new Code39();
            barcode.SetType = LinearType.Code39;
            barcode.SetData = "WWW.BARCODEBC.COM";
            barcode.SetUOM = UnitofMeasurement.Pixel;
            barcode.ApplyCheckDigit = false;
            barcode.IG = 1;
            barcode.SetDPI = 96;
            barcode.SetStartStopCharsVisible = false;
            barcode.SetWidetoNarrowXRatio = 2;
            barcode.AutoSize = false;
            barcode.SetColor = System.Drawing.Color.Red;
            barcode.SetFontColor = System.Drawing.Color.DarkBlue;
            barcode.SetFont = new Font("Arial", 10f, FontStyle.Bold);
            barcode.SetTextVisible = true;
            barcode.SetX = 1;
            barcode.SetY = 80;
            barcode.SetLeftSpace = 5;
            barcode.SetRightSpace = 5;
            barcode.SetTopSpace = 5;
            barcode.SetBottomSpace = 5;
            barcode.SetWidth = 300;
            barcode.SetHeight = 100;
            barcode.SetImageFormat = System.Drawing.Imaging.ImageFormat.Png;
            barcode.GenerateBarcode("F:\\test.png");
        }
       
    }
/* In addition to String, you can also output barcode to Bitmap object, Stream object, Graphics object, HttpResponse object or byte array.
             Stream stream = ...;
             barcode.GenerateBarcode(stream);  

             Bitmap barcodeInBitmap = GenerateBarcode();   
     
             Graphics graphics = ...
             barcode.GenerateBarcode(graphics);  

             HttpResponse response = ...;
             barcode.GenerateBarcode(response);
       
             byte[] barcodeInBytes = barcode.GenerateasBytes(); */
}